> For the complete documentation index, see [llms.txt](https://docs.xy.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xy.finance/single-bridge-integration/ybridge-api/change-log.md).

# Change Log

### \[2023-11-22]

**Descriptions**

* Original **XY API (Support Y Pool Only)** have been officially **renamed as yBridge API**
* Update Fee API [Get Fee Structure](/single-bridge-integration/ybridge-api/get-fee-structure.md) (<https://open-api.xy.finance/v1/yBridgeConfigs>)
  * Keep the previous version here [Broken mention](broken://pages/wKhwXeV4UPM8kAXRZV4w)(<https://open-api.xy.finance/v1//xyBridgeConfigs>)

### \[2023-09-28]

#### Features

* New API: [Get Fee Structure](/single-bridge-integration/ybridge-api/get-fee-structure.md)&#x20;
* New API: [Get Pool Liquidity](/single-bridge-integration/ybridge-api/get-pool-liquidity.md)

### \[2023-10-04]

#### Features

* New API: [Supported Blockchains](/single-bridge-integration/ybridge-api/supported-blockchains.md)

### \[2023-09-28]

#### Features

* New API: [Get Fee Structure](/single-bridge-integration/ybridge-api/get-fee-structure.md)&#x20;
* New API: [Get Pool Liquidity](/single-bridge-integration/ybridge-api/get-pool-liquidity.md)

### \[2022-08-10]

#### Features

* New API: [**Recommended Tokens**](/single-bridge-integration/ybridge-api/recommended-tokens.md)

### \[2022-06-01]

#### Features

* [**Build Swap Transaction**](/single-bridge-integration/ybridge-api/build-swap-transaction.md) supports custom slippage.

**Formulae**

* **Y Pool routes:**\
  The minimum of `toTokenAmount` is "<mark style="color:blue;">quote \* (1 - slippage)</mark>".
* **Multi-chain routes:**\
  The minimum `toTokenAmount` is calculated as "<mark style="color:blue;">(fromTokenAmount - slippage) - XY fee - (toTokenAmount - slippage)</mark>".

**Descriptions**

* After getting a quote (1 ETH of Ethereum to 6 BNB of BSC for instance) with the slippage tolerance at 1%, the minimum of `toTokenAmount` is 6 \* 99% = 5.94 BNB.
* As the X Swap detects the minimum of `toTokenAmount` is less than `quote*(1-slippage)`, in this case, 5.94 BNB as calculated above, the transaction itself will be revoked and then the *bridge token* will be returned to user.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xy.finance/single-bridge-integration/ybridge-api/change-log.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
